Package dev.plex.storage.punishment

# Class SQLPunishment

java.lang.Object
dev.plex.storage.punishment.SQLPunishment

public class SQLPunishment extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`INSERT`
`private static final String`
`SELECT`
`private static final String`
`SELECT_BY`
`private static final String`
`UPDATE_BAN`

## Constructor Summary

Constructors
Constructor
Description
`SQLPunishment()`

## Method Summary

Modifier and Type
Method
Description
`CompletableFuture<List<Punishment>>`
`getPunishments()`
`List<Punishment>`
`getPunishments(UUID uuid)`
`CompletableFuture<Void>`
`insertPunishment(Punishment punishment)`
`CompletableFuture<Void>`
`removeBan(UUID uuid)`
`void`
`syncRemoveBan(UUID uuid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECT

private static final String SELECT

See Also:
  - Constant Field Values

### SELECT_BY

private static final String SELECT_BY

See Also:
  - Constant Field Values

### INSERT

private static final String INSERT

See Also:
  - Constant Field Values

### UPDATE_BAN

private static final String UPDATE_BAN

See Also:
  - Constant Field Values

## Constructor Details

### SQLPunishment

public SQLPunishment()

## Method Details

### getPunishments

public CompletableFuture<List<Punishment>> getPunishments()

### getPunishments

public List<Punishment> getPunishments(UUID uuid)

### insertPunishment

public CompletableFuture<Void> insertPunishment(Punishment punishment)

### syncRemoveBan

public void syncRemoveBan(UUID uuid)

### removeBan

public CompletableFuture<Void> removeBan(UUID uuid)